Home | About | Sematext search-lucene.com search-hadoop.com
 Search Hadoop and all its subprojects:

Switch to Threaded View
Zookeeper, mail # dev - [VOTE] Release ZooKeeper 3.4.0 (candidate 0)


Copy link to this message
-
Re: [VOTE] Release ZooKeeper 3.4.0 (candidate 0)
Ivan Kelly 2011-10-25, 10:12
-1

The distributed binaries work for starting a server client etc.

I get compile warnings:

compile:
    [javac] Compiling 145 source files to /Users/ivank/Junk/zookeeper-3.4.0/build/classes
    [javac] /Users/ivank/Junk/zookeeper-3.4.0/src/java/main/org/apache/zookeeper/Shell.java:276: warning: [serial] serializable class org.apache.zookeeper.Shell.ExitCodeException has no definition of serialVersionUID
    [javac]   public static class ExitCodeException extends IOException {
    [javac]                 ^
    [javac] /Users/ivank/Junk/zookeeper-3.4.0/src/java/main/org/apache/zookeeper/server/quorum/QuorumPeer.java:573: warning: [deprecation] org.apache.zookeeper.server.quorum.LeaderElection in org.apache.zookeeper.server.quorum has been deprecated
    [javac]             le = new LeaderElection(this);
    [javac]                      ^
    [javac] /Users/ivank/Junk/zookeeper-3.4.0/src/java/main/org/apache/zookeeper/server/quorum/QuorumPeer.java:576: warning: [deprecation] org.apache.zookeeper.server.quorum.AuthFastLeaderElection in org.apache.zookeeper.server.quorum has been deprecated
    [javac]             le = new AuthFastLeaderElection(this);
    [javac]                      ^
    [javac] /Users/ivank/Junk/zookeeper-3.4.0/src/java/main/org/apache/zookeeper/server/quorum/QuorumPeer.java:579: warning: [deprecation] org.apache.zookeeper.server.quorum.AuthFastLeaderElection in org.apache.zookeeper.server.quorum has been deprecated
    [javac]             le = new AuthFastLeaderElection(this, true);
    [javac]                      ^
    [javac] /Users/ivank/Junk/zookeeper-3.4.0/src/java/main/org/apache/zookeeper/server/quorum/QuorumPeer.java:600: warning: [deprecation] org.apache.zookeeper.server.quorum.LeaderElection in org.apache.zookeeper.server.quorum has been deprecated
    [javac]             electionAlg = new LeaderElection(this);
    [javac]                               ^
    [javac] 5 warnings

The first one can be fixed with "static final long serialVersionUID = 2977863941654513113L;". The deprecation may be a bit more involved though. You could suppress the warning, but really you should just remove the use of a deprecated class.

Also, while looking into that, I saw QuorumPeer.java has tabs in it.

org.apache.zookeeper.test.ClientPortBindTest fails, consistently.

This is on Mac OS 10.6.8
$ java -version
java version "1.6.0_26"
Java(TM) SE Runtime Environment (build 1.6.0_26-b03-384-10M3425)
Java HotSpot(TM) 64-Bit Server VM (build 20.1-b02-384, mixed mode)

$ uname -a
Darwin spokegrown-lm 10.8.0 Darwin Kernel Version 10.8.0: Tue Jun  7 16:33:36 PDT 2011; root:xnu-1504.15.3~1/RELEASE_I386 i386

-Ivan
On 25 Oct 2011, at 10:12, Mahadev Konar wrote:

> Hi all,
> I have created a 3.4.0 release candidate. 3.4 is the first major
> release after ZooKeeper became a TLP.
> The last major release 3.3.0 was done in March, 2010.
> 3.4.0 includes a lot of features, improvements and bug fixes. Please
> look at Release Notes for more information.
>
> *** Please download, test and VOTE before the
> *** vote closes 1am PDT on Tuesday, Nov1***
>
> http://people.apache.org/~mahadev/zookeeper-3.4.0-candidate-0/
>
> Should we release this?
>
> Please make sure, you download and test the release ASAP. Early
> feedback would be very helpful.
>
> thanks
> mahadev